import type { PageLoad } from './$types'
import { getPosts } from '$lib/posts'
import siteMetadata from '$content/metadata.json'

export const load: PageLoad = async () => {
	const posts = await getPosts();
	const pageSize = siteMetadata?.pageSize || 3;
	const maxPageN = Math.ceil(posts.length / pageSize);

	return {
		maxPageN,
		posts: posts.slice(0, pageSize),
	};
}
